## com.imcode.imcms.api
Class MockContentManagementSystem

    java.lang.Object
      com.imcode.imcms.api.ContentManagementSystem
          com.imcode.imcms.api.MockContentManagementSystem

    public class MockContentManagementSystem

extends ContentManagementSystem

Constructor Summary
`MockContentManagementSystem()`

Method Summary
`User` `getCurrentUser()`
`DatabaseService` `getDatabaseService()`
`DocumentService` `getDocumentService()`
`MailService` `getMailService()`
`TemplateService` `getTemplateService()`
`UserService` `getUserService()`
`void` `runAsSuperadmin(ContentManagementSystemRunnable runnable)`
`void` `setCurrentInternalUser(UserDomainObject user)`
`void` `setCurrentUser(User user)`
`void` `setInternal(ImcmsServices imcmsServices)`

Methods inherited from class com.imcode.imcms.api.ContentManagementSystem
`fromRequest, getContentManagementSystem, login`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockContentManagementSystem

    public MockContentManagementSystem()

Method Detail

### getUserService

    public UserService getUserService()

  Specified by:
    `getUserService` in class `ContentManagementSystem`

### getDocumentService

    public DocumentService getDocumentService()

  Specified by:
    `getDocumentService` in class `ContentManagementSystem`

### getCurrentUser

    public User getCurrentUser()

  Specified by:
    `getCurrentUser` in class `ContentManagementSystem`

### getDatabaseService

    public DatabaseService getDatabaseService()

  Specified by:
    `getDatabaseService` in class `ContentManagementSystem`

### getTemplateService

    public TemplateService getTemplateService()

  Specified by:
    `getTemplateService` in class `ContentManagementSystem`

### getMailService

    public MailService getMailService()

  Specified by:
    `getMailService` in class `ContentManagementSystem`

### runAsSuperadmin

    public void runAsSuperadmin(ContentManagementSystemRunnable runnable)
                         throws NoPermissionException

  Specified by:
    `runAsSuperadmin` in class `ContentManagementSystem`
  Throws:
    `NoPermissionException`

### setInternal

    public void setInternal(ImcmsServices imcmsServices)

### setCurrentUser

    public void setCurrentUser(User user)

### setCurrentInternalUser

    public void setCurrentInternalUser(UserDomainObject user)